Package org.apache.sysds.runtime.compress.workload

# Class OpNormal

java.lang.Object
org.apache.sysds.runtime.compress.workload.Op
org.apache.sysds.runtime.compress.workload.OpNormal

public class OpNormal extends Op

## Constructor Summary

Constructors
Constructor
Description
`OpNormal(Hop op, boolean compressedOut)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isCompressedOutput()`

### Methods inherited from class org.apache.sysds.runtime.compress.workload.Op

`dim, getHop, isDecompressing, isDensifying, isOverlapping, setDecompressing, setDensifying, setOverlapping, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OpNormal

public OpNormal(Hop op, boolean compressedOut)

## Method Details

### isCompressedOutput

public boolean isCompressedOutput()

Overrides:
  `isCompressedOutput` in class `Op`